net.minecraft.client.entity

## Class EntityOtherPlayerMP

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLiving
    - - net.minecraft.entity.player.EntityPlayer
      - - net.minecraft.client.entity.EntityOtherPlayerMP

- All Implemented Interfaces:
    ICommandSender

      public class EntityOtherPlayerMP
      extends EntityPlayer

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.player.EntityPlayer

      `cameraYaw, capabilities, experience, experienceLevel, experienceTotal, field_71079_bU, field_71082_cx, field_71085_bR, field_71089_bV, field_71091_bM, field_71094_bP, field_71095_bQ, field_71096_bN, field_71097_bO, field_71098_bD, fishEntity, inventory, inventoryContainer, maxHealth, openContainer, PERSISTED_NBT_TAG, playerLocation, prevCameraYaw, sleepTimer, username, xpCooldown`

    - ### Fields inherited from class net.minecraft.entity.EntityLiving

      `arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, field_94063_bt, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, limbSwing, limbYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, pickUpLootProability, prevCameraPitch, prevHealth, prevLimbYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, targetTasks, tasks`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_98038_p, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityOtherPlayerMP(World par1World, String par2Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
    `boolean` | `canCommandSenderUseCommand(int par1, String par2Str)` Returns true if the command sender is allowed to use the given command.
    `float` | `getEyeHeight()`
    `ChunkCoordinates` | `getPlayerCoordinates()` Return the position for this command sender.
    `float` | `getShadowSize()`
    `void` | `onLivingUpdate()` Called frequently so the entity can update its state every tick as required.
    `void` | `onUpdate()` Called to update the entity's position/logic.
    `void` | `sendChatToPlayer(String par1Str)`
    `void` | `setCurrentItemOrArmor(int par1, ItemStack par2ItemStack)` Sets the held item, or an armor slot.
    `void` | `setPositionAndRotation2(double par1, double par3, double par5, float par7, float par8, int par9)` Sets the position and rotation.
    `void` | `updateCloak()`

    - ### Methods inherited from class net.minecraft.entity.player.EntityPlayer

      `addChatMessage, addExhaustion, addExperience, addExperienceLevel, addMovementStat, addScore, addStat, addToPlayerScore, attackTargetEntityWithCurrentItem, canCurrentToolHarvestBlock, canEat, canHarvestBlock, canPickUpLoot, canPlayerEdit, clearItemInUse, clonePlayer, closeScreen, destroyCurrentEquippedItem, displayGUIAnvil, displayGUIBeacon, displayGUIBook, displayGUIBrewingStand, displayGUIChest, displayGUIDispenser, displayGUIEditSign, displayGUIEnchantment, displayGUIFurnace, displayGUIHopper, displayGUIHopperMinecart, displayGUIMerchant, displayGUIWorkbench, dropOneItem, dropPlayerItem, dropPlayerItemWithRandomChoice, func_71066_bF, func_82243_bO, func_94059_bO, func_94062_bN, func_96092_aw, func_96122_a, func_98034_c, getBedLocation, getBedOrientationInDegrees, getCommandSenderName, getCurrentArmor, getCurrentEquippedItem, getCurrentItemOrArmor, getCurrentPlayerStrVsBlock, getCurrentPlayerStrVsBlock, getEntityName, getFoodStats, getHeldItem, getHideCape, getInventoryEnderChest, getItemIcon, getItemInUse, getItemInUseCount, getItemInUseDuration, getLastActiveItems, getMaxHealth, getMaxInPortalTime, getPortalCooldown, getScore, getSleepTimer, getTeam, getTotalArmorValue, getTranslatedEntityName, getTranslator, getWorldScoreboard, getYOffset, handleHealthUpdate, interactWith, isBlocking, isEntityInsideOpaqueBlock, isPlayerFullyAsleep, isPlayerSleeping, isSpawnForced, isUsingItem, joinEntityItemWithWorld, mountEntity, moveEntityWithHeading, onCriticalHit, onDeath, onEnchantmentCritical, onKillEntity, openGui, playSound, preparePlayerToSpawn, readEntityFromNBT, respawnPlayer, sendPlayerAbilities, setDead, setGameType, setInWeb, setItemInUse, setScore, setSpawnChunk, shouldHeal, sleepInBedAt, stopUsingItem, translateString, triggerAchievement, updateRidden, verifyRespawnCoordinates, wakeUpPlayer, writeEntityToNBT, xpBarCap`

    - ### Methods inherited from class net.minecraft.entity.EntityLiving

      `addPotionEffect, attackEntityAsMob, canAttackClass, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_104002_bU, func_82143_as, func_94056_bM, func_94057_bL, func_94058_c, func_94060_bK, func_94061_f, func_96120_a, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArmorItemForSlot, getArmorPosition, getArrowCountInEntity, getAttackTarget, getCanSpawnHere, getCreatureAttribute, getEntitySenses, getHealth, getHomePosition, getJumpHelper, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getRotationYawHead, getSpeedModifier, getSwingProgress, getTalkInterval, getTexture, getVerticalFaceSpeed, hasHome, heal, initCreature, isChild, isEntityAlive, isEntityUndead, isOnLadder, isPotionActive, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, onEntityUpdate, onItemPickup, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setAttackTarget, setCanPickUpLoot, setEntityHealth, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, shouldRiderFaceForward, spawnExplosionParticle, swingItem`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityID, addNotRiddenEntityID, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82146_a, func_82149_j, func_85029_a, func_85031_j, func_96091_a, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getExtendedProperties, getMountedYOffset, getParts, getPersistentID, getPickedResult, getTeleportDirection, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInvisible, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, moveEntity, moveFlying, onCollideWithPlayer, onStruckByLightning, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setEating, setFire, setInPortal, setInvisible, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, unmountEntity, updateRiderPosition, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityOtherPlayerMP

          public EntityOtherPlayerMP(World par1World,
                             String par2Str)

  - ### Method Detail

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 int par2)

      Called when the entity is attacked.
      Overrides:
        `attackEntityFrom` in class `EntityPlayer`

    - #### setPositionAndRotation2

          public void setPositionAndRotation2(double par1,
                                     double par3,
                                     double par5,
                                     float par7,
                                     float par8,
                                     int par9)

      Sets the position and rotation. Only difference from the other one is no bounding on the rotation. Args: posX, posY, posZ, yaw, pitch
      Overrides:
        `setPositionAndRotation2` in class `EntityLiving`

    - #### updateCloak

          public void updateCloak()

      Overrides:
        `updateCloak` in class `Entity`

    - #### onUpdate

          public void onUpdate()

      Called to update the entity's position/logic.
      Overrides:
        `onUpdate` in class `EntityPlayer`

    - #### getShadowSize

          public float getShadowSize()

      Overrides:
        `getShadowSize` in class `Entity`

    - #### onLivingUpdate

          public void onLivingUpdate()

      Called frequently so the entity can update its state every tick as required. For example, zombies and skeletons use this to react to sunlight and start to burn.
      Overrides:
        `onLivingUpdate` in class `EntityPlayer`

    - #### setCurrentItemOrArmor

          public void setCurrentItemOrArmor(int par1,
                                   ItemStack par2ItemStack)

      Sets the held item, or an armor slot. Slot 0 is held item. Slot 1-4 is armor. Params: Item, slot
      Overrides:
        `setCurrentItemOrArmor` in class `EntityPlayer`

    - #### getEyeHeight

          public float getEyeHeight()

      Overrides:
        `getEyeHeight` in class `EntityPlayer`

    - #### sendChatToPlayer

          public void sendChatToPlayer(String par1Str)

    - #### canCommandSenderUseCommand

          public boolean canCommandSenderUseCommand(int par1,
                                           String par2Str)

      Returns true if the command sender is allowed to use the given command.

    - #### getPlayerCoordinates

          public ChunkCoordinates getPlayerCoordinates()

      Return the position for this command sender.